summaryrefslogtreecommitdiff
path: root/scripts/libmakepkg/executable/ccache.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/libmakepkg/executable/ccache.sh.in')
-rw-r--r--scripts/libmakepkg/executable/ccache.sh.in37
1 files changed, 37 insertions, 0 deletions
diff --git a/scripts/libmakepkg/executable/ccache.sh.in b/scripts/libmakepkg/executable/ccache.sh.in
new file mode 100644
index 00000000..dafde076
--- /dev/null
+++ b/scripts/libmakepkg/executable/ccache.sh.in
@@ -0,0 +1,37 @@
+#!/usr/bin/bash
+#
+# ccache.sh - Confirm presence of ccache binary
+#
+# Copyright (c) 2011-2018 Pacman Development Team <pacman-dev@archlinux.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+[[ -n "$LIBMAKEPKG_EXECUTABLE_CCACHE_SH" ]] && return
+LIBMAKEPKG_EXECUTABLE_CCACHE_SH=1
+
+LIBRARY=${LIBRARY:-'@libmakepkgdir@'}
+
+source "$LIBRARY/util/option.sh"
+
+executable_functions+=('executable_ccache')
+
+executable_ccache() {
+ if check_buildoption "ccache" "y"; then
+ if ! type -p ccache >/dev/null; then
+ error "$(gettext "Cannot find the %s binary required for compiler cache usage.")" "ccache"
+ ret=1
+ fi
+ fi
+}